Subject: Re: I-D Action:draft-ietf-6man-exthdr-02.txt

From: "Hing-Kam (Kam) Lam" <[email-masked]>
Date: Sun, 17 Apr 2011 05:36:01 +0530

Any update on this work? I thought we were very close to the WG LC
last time and the new version is addressing all the points raised. If
Yes, can we please move this forward.

Kam

On Wed, Mar 16, 2011 at 1:53 AM, Suresh Krishnan
<[email-masked]> wrote:
> Hi John,
>
> On 11-03-15 04:15 PM, John Leslie wrote:
>>
>> Suresh Krishnan <[email-masked]> wrote:
>>>
>>> On 11-03-15 09:25 AM, John Leslie wrote:
>>>>>>
>>>>>> But I don't see the equivalent of Section 4.2 of RFC 2460, specifying
>>>>>> the TLV format.
>>>>>
>>>>> The T is the "Next Header", the L is the "Hdr Ext Len" and V is the
>>>>> "Header Specific Data" as specified in the figure in Section 4 of the
>>>>> draft.
>>>>
>>>> Well, of course "Next Header" _isn't_ the Type of this option (rather
>>>> it's the Type of the next option).
>>>>
>>>> And the "Hdr Ext Len" isn't a particularly intuitive coding of Length
>>>> either...
>>>
>>> Yep. You are right on both counts, but I am not sure how we can change
>>> this. We cannot chain the headers without the T being in the *previous*
>>> header. I think the best we can do is to refrain from calling this TLV like
>>> you said.
>>
>>   That would satisfy me...
>>
>>   But, the 2460 section 4.2 TLV also defines four actions when a Type
>> isn't recognized (skip and three cases of discard). exthdr-02 gives
>> us no way of defining skip-vs-discard.
>>
>>   I think some mention of this issue would be wise. It appears, at
>> first blush, that you intend for a middlebox to skip over these
>> prospective extension headers, whereas 2460 calls for dropping the
>> packet.
>
> Right. These behavior flags were added in version -01 of the draft (the
> previous version) due to a apparent consensus at the physical wg meeting but
> this change has been rolled back in version -02 due to lack of consensus in
> the mailing list.
>
>>
>>   I'm not prepared to say what the resolution may be; I just think
>> it deserves some text (even if only to say, "Beware!").
>
> Let's see if we can make some progress at the next meeting.
>
> Thanks
> Suresh
>
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
>